CREATE TABLE ben_dsgn_rqmt_f (
    DSGN_RQMT_ID              NUMBER(18, 0),
    EFFECTIVE_START_DATE      DATE         ,
    EFFECTIVE_END_DATE        DATE         ,
    RLSHP_TYP_CD              VARCHAR2(120),
    MN_DPNTS_RQD_NUM          NUMBER(18, 0),
    MX_DPNTS_ALWD_NUM         NUMBER(18, 0),
    NO_MN_NUM_DFND_FLAG       VARCHAR2(120)    NOT NULL,
    NO_MX_NUM_DFND_FLAG       VARCHAR2(120)    NOT NULL,
    CVR_ALL_ELIG_FLAG         VARCHAR2(120)    NOT NULL,
    OIPL_ID                   NUMBER(18, 0),
    PL_ID                     NUMBER(18, 0),
    OPT_ID                    NUMBER(18, 0),
    GRP_RLSHP_CD              VARCHAR2(120),
    DSGN_TYP_CD               VARCHAR2(120),
    BUSINESS_GROUP_ID         NUMBER(18, 0)    NOT NULL,
    DDR_ATTRIBUTE_CATEGORY    VARCHAR2(120),
    DDR_ATTRIBUTE1            VARCHAR2(600),
    DDR_ATTRIBUTE2            VARCHAR2(600),
    DDR_ATTRIBUTE3            VARCHAR2(600),
    DDR_ATTRIBUTE4            VARCHAR2(600),
    DDR_ATTRIBUTE5            VARCHAR2(600),
    DDR_ATTRIBUTE6            VARCHAR2(600),
    DDR_ATTRIBUTE7            VARCHAR2(600),
    DDR_ATTRIBUTE8            VARCHAR2(600),
    DDR_ATTRIBUTE9            VARCHAR2(600),
    DDR_ATTRIBUTE10           VARCHAR2(600),
    DDR_ATTRIBUTE11           VARCHAR2(600),
    DDR_ATTRIBUTE12           VARCHAR2(600),
    DDR_ATTRIBUTE13           VARCHAR2(600),
    DDR_ATTRIBUTE14           VARCHAR2(600),
    DDR_ATTRIBUTE15           VARCHAR2(600),
    DDR_ATTRIBUTE16           VARCHAR2(600),
    DDR_ATTRIBUTE17           VARCHAR2(600),
    DDR_ATTRIBUTE18           VARCHAR2(600),
    DDR_ATTRIBUTE19           VARCHAR2(600),
    DDR_ATTRIBUTE20           VARCHAR2(600),
    DDR_ATTRIBUTE21           VARCHAR2(600),
    DDR_ATTRIBUTE22           VARCHAR2(600),
    DDR_ATTRIBUTE23           VARCHAR2(600),
    DDR_ATTRIBUTE24           VARCHAR2(600),
    DDR_ATTRIBUTE25           VARCHAR2(600),
    DDR_ATTRIBUTE26           VARCHAR2(600),
    DDR_ATTRIBUTE27           VARCHAR2(600),
    DDR_ATTRIBUTE28           VARCHAR2(600),
    DDR_ATTRIBUTE29           VARCHAR2(600),
    DDR_ATTRIBUTE30           VARCHAR2(600),
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    COMP_OBJ_TYPE             VARCHAR2(120),
    DSGN_RQMT_ID              NUMBER(18, 0),
    EFFECTIVE_START_DATE      DATE         ,
    EFFECTIVE_END_DATE        DATE         ,
    RLSHP_TYP_CD              VARCHAR2(120),
    MN_DPNTS_RQD_NUM          NUMBER(18, 0),
    MX_DPNTS_ALWD_NUM         NUMBER(18, 0),
    NO_MN_NUM_DFND_FLAG       VARCHAR2(120)    NOT NULL,
    NO_MX_NUM_DFND_FLAG       VARCHAR2(120)    NOT NULL,
    CVR_ALL_ELIG_FLAG         VARCHAR2(120)    NOT NULL,
    OIPL_ID                   NUMBER(18, 0),
    PL_ID                     NUMBER(18, 0),
    OPT_ID                    NUMBER(18, 0),
    GRP_RLSHP_CD              VARCHAR2(120),
    DSGN_TYP_CD               VARCHAR2(120),
    BUSINESS_GROUP_ID         NUMBER(18, 0)    NOT NULL,
    DDR_ATTRIBUTE_CATEGORY    VARCHAR2(120),
    DDR_ATTRIBUTE1            VARCHAR2(600),
    DDR_ATTRIBUTE2            VARCHAR2(600),
    DDR_ATTRIBUTE3            VARCHAR2(600),
    DDR_ATTRIBUTE4            VARCHAR2(600),
    DDR_ATTRIBUTE5            VARCHAR2(600),
    DDR_ATTRIBUTE6            VARCHAR2(600),
    DDR_ATTRIBUTE7            VARCHAR2(600),
    DDR_ATTRIBUTE8            VARCHAR2(600),
    DDR_ATTRIBUTE9            VARCHAR2(600),
    DDR_ATTRIBUTE10           VARCHAR2(600),
    DDR_ATTRIBUTE11           VARCHAR2(600),
    DDR_ATTRIBUTE12           VARCHAR2(600),
    DDR_ATTRIBUTE13           VARCHAR2(600),
    DDR_ATTRIBUTE14           VARCHAR2(600),
    DDR_ATTRIBUTE15           VARCHAR2(600),
    DDR_ATTRIBUTE16           VARCHAR2(600),
    DDR_ATTRIBUTE17           VARCHAR2(600),
    DDR_ATTRIBUTE18           VARCHAR2(600),
    DDR_ATTRIBUTE19           VARCHAR2(600),
    DDR_ATTRIBUTE20           VARCHAR2(600),
    DDR_ATTRIBUTE21           VARCHAR2(600),
    DDR_ATTRIBUTE22           VARCHAR2(600),
    DDR_ATTRIBUTE23           VARCHAR2(600),
    DDR_ATTRIBUTE24           VARCHAR2(600),
    DDR_ATTRIBUTE25           VARCHAR2(600),
    DDR_ATTRIBUTE26           VARCHAR2(600),
    DDR_ATTRIBUTE27           VARCHAR2(600),
    DDR_ATTRIBUTE28           VARCHAR2(600),
    DDR_ATTRIBUTE29           VARCHAR2(600),
    DDR_ATTRIBUTE30           VARCHAR2(600),
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    COMP_OBJ_TYPE             VARCHAR2(120),
    CONSTRAINT pk_ben_dsgn_rqmt_f PRIMARY KEY (DSGN_RQMT_ID, EFFECTIVE_START_DATE, EFFECTIVE_END_DATE, DSGN_RQMT_ID, EFFECTIVE_START_DATE, EFFECTIVE_END_DATE)
);
